/*
 * @Author: yuananting
 * @Date: 2021-08-06 17:35:35
 * @LastEditors: yuananting
 * @LastEditTime: 2021-08-16 20:52:16
 * @Description: 任务中心接口
 * @Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import Service from '@/common/js/service';

export function getTrainingTaskPage(params: object) {
  return Service.Hades('public/hades/getTrainingTaskPage', params);
}

export function getStoreTaskNum(params: object) {
  return Service.Hades('public/hades/getStoreTaskNum', params);
}

export function createTrainingExam(params: object) {
  return Service.Hades('public/hades/createTrainingExam', params);
}

export function createTrainingTask(params: object) {
  return Service.Hades('public/hades/createTrainingTask', params);
}

export function updateIssueStateTraining(params: object) {
  return Service.Hades('public/hades/updateIssueStateTraining', params);
}

export function deleteTrainingTask(params: object) {
  return Service.Hades('public/hades/deleteTrainingTask', params);
}

export function getTrainingTaskDetail(params: object) {
  return Service.Hades('public/hades/getTrainingTaskDetail', params);
}

export function updateTrainingTask(params: object) {
  return Service.Hades('public/hades/updateTrainingTask', params);
}

export function getTaskCustomerDetail(params: object) {
  return Service.Hades('public/hades/getTaskCustomerDetail', params);
}

export function updateTrainingTaskAssign(params: object) {
  return Service.Hades('public/hades/updateTrainingTaskAssign', params);
}

export function getTrainingCourseAutoCancel(params: object) {
  return Service.Hades('public/hades/getTrainingCourseAutoCancel', params);
}

export function delTaskCancelContent(params: object) {
  return Service.Hades('public/hades/delTaskCancelContent', params);
}

export function getStoreTaskAll(params: object) {
  return Service.Hades('public/hades/getStoreTaskAll', params);
}

export function relatedCourseToTask(params: object) {
  return Service.Hades('public/hades/relatedCourseToTask', params);
}
